%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname py-openhpi
Name:           python-openhpi
Version:        1.1
Release:        1%{?dist}
Summary:        Python interface for OpenHPI

Group:          Development/Languages
License:        BSD
URL:            http://www.openhpi.org
Source0:        http://downloads.sourceforge.net/openhpi/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, swig, glib2-devel, openhpi-devel >= 2.10

%description
An extension module that makes it possible to access
HPI api functions and structures from the Python language.

It supports everything that is exposed through SaHpi.h,
SaHpiAtca.h, SaHpiBladeCenter.h, oHpi.h, and oh_utils.h.

%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/*.so

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitearch}/*


%changelog
* Fri Apr 18 2008 Dan Horak <dan[at]danny.cz> 1.1-1
- initial version
